Kirjoittaja Aihe: uusimpien päivitysten myötä firefox ei toimi (RATKAISTU)  (Luettu 3226 kertaa)

ilu

  • Käyttäjä
  • Viestejä: 384
    • Profiili
Nyt tuli vakava ongelma naapurin lubuntu koneeseen, uusimmat päivitykset kun asenti niin firefox ei lähde enään käyntiin vaan tulee kaatumisilmoitus ikkuna ja siitä ei etene mihinkään ikkuna tulee aina uudestaan ja sama homma chromium ei myöskään toimi, kun 16.04 asentaa uudestaan ja jättää päivittämättä niin toimii.

Koitin eri näytönohjaimilla ei apua, joku rauta hommahan toi nyt on ettei uusimmat selaimet tykkää tosta koneesta, on vanha yksydin kone muistia 1Gt.

Mikäs tähän nyt auttaa ? vai sanonko vaan et jättää päivittämättä ?

Onko muut törmännet tälläiseen ongelmaan ?
« Viimeksi muokattu: 29.04.17 - klo:14.04 kirjoittanut ilu »

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 10989
    • Profiili
    • Tomin kotisivut
Vs: uusimpien päivitysten myötä firefox ei toimi
« Vastaus #1 : 23.04.17 - klo:18.47 »
Annahan vähän tarkempia tietoja siitä, mikä prosessori siinä koneessa on. Esimerkiksi tämän komennon tuloste on hyvä:
Koodia: [Valitse]
cat /proc/cpuinfo
Voisit myös kertoa mitä Firefox (tai Chrome) tulostaa päätteeseen, jos käynnistät sen sitä kautta:
Koodia: [Valitse]
firefox
Varsinkin ilman tuota jälkimmäistä tulostetta voi olla aika vaikea löytää vikaa. Ellei joku muukin ole sitten törmännyt ja esimerkiksi kirjoittanut bugiraporttia.
« Viimeksi muokattu: 23.04.17 - klo:18.48 kirjoittanut Tomin »
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.

ilu

  • Käyttäjä
  • Viestejä: 384
    • Profiili
Vs: uusimpien päivitysten myötä firefox ei toimi
« Vastaus #2 : 23.04.17 - klo:19.23 »
No enään ei viitsi naapuria mennä häiritsemään, mutta tuon prosessori tulosteen vois käydä hakemassa ensviikolla, mut firefox tulosteen ottaminen vaatis taas päivitykset ja koneen saattamisen toimimattomaan tilaan, katotaan tuleeko muita saman ongelman kanssa olevia, eihän tämä ainoa kone maailmassa voi olla jonka firefox lakkaa toimimasta uusimman version myötä ?

nm

  • Käyttäjä
  • Viestejä: 13616
    • Profiili
Vs: uusimpien päivitysten myötä firefox ei toimi
« Vastaus #3 : 23.04.17 - klo:20.11 »
katotaan tuleeko muita saman ongelman kanssa olevia, eihän tämä ainoa kone maailmassa voi olla jonka firefox lakkaa toimimasta uusimman version myötä ?

Uusimmat selainversiot eivät enää tue prosessoreita, joissa ei ole SSE2-käskykantaa. Chromiumissa tämä on ollut rajoitteena jo pari vuotta. Firefox alkoi oireilla Athlon XP -koneissa viime vuoden lopulla, ja tuki poistui virallisesti nyt versiossa 53.

Jos Firefox 52 toimi, se on tuettu ESR-versiona kesään 2018 saakka. Viimeistään silloin on jo syytä päivittää pykälää modernimpaan 64-bittiseen rautaan.
Asennus vaikkapa tästä PPA:sta: https://launchpad.net/~jonathonf/+archive/ubuntu/firefox-esr

Koodia: [Valitse]
sudo add-apt-repository ppa:jonathonf/firefox-esr
sudo apt-get update
sudo apt-get install firefox-esr
« Viimeksi muokattu: 23.04.17 - klo:20.15 kirjoittanut nm »

ilu

  • Käyttäjä
  • Viestejä: 384
    • Profiili
Vs: uusimpien päivitysten myötä firefox ei toimi
« Vastaus #4 : 23.04.17 - klo:21.23 »
No nyt se syy tais selvitä koska edellinen firefox versio 52 toimi ja nyt kun vasta tuli tämä uusi 53 niin ei toiminu eli vika on prosessorissa, eli noi rimpsut kun laittaa päätteeseen voi siis jatkaa päivitysten asentamista 2018 kesään saakka ? ja sit uudempaa konetta.

mrl586

  • Käyttäjä
  • Viestejä: 4553
    • Profiili
Vs: uusimpien päivitysten myötä firefox ei toimi
« Vastaus #5 : 24.04.17 - klo:11.07 »
Uusi kone alle mahdollisimman pian, mutta kuitenkin viimeistään vuonna 2018.

XL180

  • Käyttäjä
  • Viestejä: 185
    • Profiili
Vs: uusimpien päivitysten myötä firefox ei toimi
« Vastaus #6 : 25.04.17 - klo:13.05 »
Käsitin varmaan väärin tämän ketjun,mutta miksi 32 bittiset yleensä pitäisi hylätä vuonna 2018?
Firefoxin vuoksi vain?

Toimivatko Pankkien herjaamat Midori,Epiphany ja Iceweasel selaimet 32  bittisissä koneissa vuoden 2018 jälkeen?

nm

  • Käyttäjä
  • Viestejä: 13616
    • Profiili
Vs: uusimpien päivitysten myötä firefox ei toimi
« Vastaus #7 : 25.04.17 - klo:13.26 »
Käsitin varmaan väärin tämän ketjun,mutta miksi 32 bittiset yleensä pitäisi hylätä vuonna 2018?
Firefoxin vuoksi vain?

Uusimmat selaimet toimivat edelleen joillain 32-bittisillä prosessoreilla, kuten Pentium 4:llä ja Pentium M:llä, koska niissä on SSE2-tuki, mutta jos nyt on vaihtamassa rautaa uudempaan, suosittelisin saman tien vähintään Core 2 -sukupolven prosessoria. Ne ovat huomattavasti nopeampia ja energiatehokkaampia kuin edeltäjänsä. Jos käytetystä koneesta aikoo maksaa rahaa, Sandy Bridge -sukupolvi (Core i3/i5/i7 2xxx) tai uudempi on järkevä valinta. Niilläkin on ikää jo yli 5 vuotta.

Yleisesti tuki 32-bittiselle softalle heikkenee jatkuvasti. Avoimen koodin osalta kehittäjillä ei juuri ole enää käytössä 32-bittistä rautaa, ja monista suljetun koodin ohjelmista ei enää edes käännetä 32-bittisiä versioita.

Toimivatko Pankkien herjaamat Midori,Epiphany ja Iceweasel selaimet 32  bittisissä koneissa vuoden 2018 jälkeen?

Iceweasel on Firefox, mutta on toki mahdollista, että joku ulkopuolinen taho tarjoaa Firefoxia ilman SSE2-käskyjä. En tiedä Debian-paketoinnin suunnitelmia tämän suhteen.

Midori ja Epiphany perustuvat Webkitiin ja lukuisiin kirjastoihin, joissa voi hyvin ilmetä vastaavia ongelmia SSE2-käskykannan suhteen: https://bugs.mageia.org/show_bug.cgi?id=15594
« Viimeksi muokattu: 25.04.17 - klo:13.34 kirjoittanut nm »

ilu

  • Käyttäjä
  • Viestejä: 384
    • Profiili
Vs: uusimpien päivitysten myötä firefox ei toimi (RATKAISTU)
« Vastaus #8 : 29.04.17 - klo:14.05 »
Juu kiitoksia nyt homma toimii ainakin sinne 2018 kesään asti ESR-versiolla.